"""
Created on Jul 2, 2013

@author: noob
"""

from django.conf.urls import url
from .views import offlinepage, job_edit, render_custom_report_form
from .views.layout import get_layout, get_single_report_controls
from .views.plot_data import get_plot_data
from .views.plots_to_show import get_plots_to_show

urlpatterns = [
    url(r'^(\d+)$', offlinepage),
    url(r'^(\d+)/layout.json$', get_layout),
    url(r'^(\d+)/plots_to_show.json$', get_plots_to_show),
    url(r'^(\d+)/plot_data.json$', get_plot_data),
    url(r'^(\d+)/edit$', job_edit),
    url(r'^(\d+)/custom_report.json$', get_single_report_controls),
    url(r'^render_custom_report_form$', render_custom_report_form),
]
